Qstl(3)

NAME
Qstl - support for Forall, Exists, etc in GNU C++ using STL

SYNOPSIS
#include <Qstl.h> bool AO(iter,container,exprn) /* Forall */ bool EO(iter,container,exprn) /* Exists */ bool E1O(iter,container,exprn) /* Exists a single */ bool CO(iter,container,exprn) /* Count */

DESCRIPTION
These macros implement predicate calculus operations over Standard Template Library (STL) classes. For example: map<Location,Hatsize,Locationlt> m; AO(i,m,(*i).Hatsize >= 0) Note that the macros can be nested or used in any context that requires boolean values.

PORTABILITY
These macros require GNU C or GNU C++.

SEE ALSO
nana-clg(1), nana(1), nana(3), I(3), DI(3), L(3), DL(3), Q(3), and nana.info. The nana.info page is the primary documentation for this package.

AUTHOR
Phil Maker <pjm@gnu.org>